Skip to content
Registry StackDocsv0.46.0

Liveness probe

GET
/health
curl --request GET \
--url https://example.com/health

Process status

Media typeapplication/json
object
status
required
Allowed value: ok

Example

{
"status": "ok"
}
Cache-Control
string
Allowed value: no-store
Traceparent
string
/^00-[0-9a-f]{32}-[0-9a-f]{16}-[0-9a-f]{2}$/

The W3C Trace Context version 0 field of the request, or a server-created one when the request carried none or an invalid or repeated one. tracestate is never answered.

The configured request deadline elapsed

Media typeapplication/problem+json
object
detail
string
status
required
integer
title
required
string
type
required
string format: uri

Example generated

{
"detail": "example",
"status": 1,
"title": "example",
"type": "https://example.com"
}
Cache-Control
string
Allowed value: no-store
Traceparent
string
/^00-[0-9a-f]{32}-[0-9a-f]{16}-[0-9a-f]{2}$/

The W3C Trace Context version 0 field of the request, or a server-created one when the request carried none or an invalid or repeated one. tracestate is never answered.